# xxfi_header

SYNOPSIS

    #include <libmilter/mfapi.h>
    sfsistat (*xxfi_header)(
    	SMFICTX *ctx,
    	char *headerf,
    	char *headerv
    );

Handle a message header.

DESCRIPTION

Called When | xxfi_header is called once for each message header.
Default Behavior | Do nothing; return SMFIS_CONTINUE.

ARGUMENTS

Argument | Description
--- | ---
ctx | Opaque context structure.
headerf | Header field name.
headerv | Header field value. The content of the header may include folded white space, i.e., multiple lines with following white space where lines are separated by LF (not CR/LF). The trailing line terminator (CR/LF) is removed.

NOTES

- Starting with sendmail 8.14, spaces after the colon in a header field are preserved if requested using the flag `SMFIP_HDR_LEADSPC`. That is, the header

      From: sender <f@example.com>
      To:  user <t@example.com>
      Subject:no

  will be sent to a milter as

      "From", " sender <f@example.com>"
      "To", "  user <t@example.com>"
      "Subject", "no"

  while previously (or without the flag `SMFIP_HDR_LEADSPC`) it was:

      "From", "sender <f@example.com>"
      "To", "user <t@example.com>"
      "Subject", "no"

- Later filters will see header changes/additions made by earlier ones.
- For much more detail about header format, please see RFC 822 and RFC 2822

Copyright (c) 2000, 2003, 2006 Sendmail, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.